1 Reply Latest reply: Feb 8, 2013 6:19 AM by Klaus1
lorrainefromco Level 1 Level 1 (0 points)

My operating system does not support this year's version of turbo tax.  Can I upgrade 10.5.8 to snow leopard?


Mac mini (Mid 2007), Mac OS X (10.5.8)